accessible/atk/Platform.cpp error referencing atk_bridge_adaptor_init

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

accessible/atk/Platform.cpp error referencing atk_bridge_adaptor_init

Richmond
When compiling Seamonkey I received an error:

../../accessible/atk/Platform.o: In function
`mozilla::a11y::PlatformInit()':
Platform.cpp:(.text._ZN7mozilla4a11y12PlatformInitEv+0x155): undefined
reference to `atk_bridge_adaptor_init'

What development library would I expect to find that in?

I have removed the code and made it default to the gtk 2 code. But I am
not sure what effect that has. Does anyone know what this code is doing
or what part of the browser it relates to?

https://dxr.mozilla.org/mozilla-central/source/accessible/atk/Platform.cpp

This code I have removed:

#if (MOZ_WIDGET_GTK == 3)
  if (atk_bridge_adaptor_init) {
    atk_bridge_adaptor_init(nullptr, nullptr);
  } else
#endif
_______________________________________________
dev-builds mailing list
[hidden email]
https://lists.mozilla.org/listinfo/dev-builds
Reply | Threaded
Open this post in threaded view
|

Re: accessible/atk/Platform.cpp error referencing atk_bridge_adaptor_init

Richmond
Richmond <[hidden email]> writes:

> When compiling Seamonkey I received an error:
>

I forgot to mention I am using linux opensuse 42.2, gcc 5.

target
x86_64-pc-linux-gnu
Build tools
Compiler        Version         Compiler flags
/usr/bin/ccache /usr/bin/gcc-5 -std=gnu99       5.3.1   -Wall
-Wempty-body -Wignored-qualifiers -Wpointer-arith -Wsign-compare
-Wtype-limits -Wunreachable-code -Wno-error=maybe-uninitialized
-Wno-error=deprecated-declarations -Wno-error=array-bounds
-fno-strict-aliasing -ffunction-sections -fdata-sections -fno-math-errno
-pthread -pipe
/usr/bin/ccache /usr/bin/g++-5 -std=gnu++11     5.3.1   -Wall
-Wc++11-compat -Wempty-body -Wignored-qualifiers -Woverloaded-virtual
-Wpointer-arith -Wsign-compare -Wtype-limits -Wunreachable-code
-Wwrite-strings -Wno-invalid-offsetof -Wc++14-compat
-Wno-error=maybe-uninitialized -Wno-error=deprecated-declarations
-Wno-error=array-bounds -fno-exceptions -fno-strict-aliasing -fno-rtti
-ffunction-sections -fdata-sections -fno-exceptions -fno-math-errno
-pthread -pipe -freorder-blocks -Os -fomit-frame-pointer
_______________________________________________
dev-builds mailing list
[hidden email]
https://lists.mozilla.org/listinfo/dev-builds